package com.eactive.eai.transformer.util;



/** 
 * 1. 기능 : Date, Time 관련 Utility Method 정의
 * 2. 처리 개요 : 
 */
public final class NullControl {

    
    /**
     * Private 생성자
     * Instance를 생성하지 못함
     */
    private NullControl()
    {
    	
    }
	
	/**
	* 1. 기능 : Null값을 공백으로 변경
	* 2. 처리 개요 : 
	*    - ""나 Null를 입력받아 SPACE로 변환한다.
	*/
     
    public static String addSpace(String val)
    {
        if( val == null || val.equals("") ){
            val = " ";    
        }
                
        return val;
    } 

	/**
	* 1. 기능 : 입력값을 트림하여 화이트스페이스를 없앤다.
	* 2. 처리 개요 : 
	*    - 입력받은 값을 트림하여 리턴한다. 
	*/
    
    public static String trimSpace(String val)
    {
//        if(val == null || val.equals(" ") || val.equals("") ) {
//            return null;      // ""나 Null을 체크하여 트림하여 에러가 발생하지 않도록 한다..    
//        }
    	
        if(val == null) {
            return "";
        }
        return val;        
    }    
}